Search the Portal
Returns results of a full-text search query. Projects/publications unavailable to the user sending request will be skipped. For unauthorized users, returns results from public publications only.
Query Parameters
- countinteger
The maximum number of results to return. When not specified, the top 10 results are returned. When a negative number is specified, returns all search results regardless of their total count.
Example2 - projectUrlsstring
Same as
projectIds. - projectIdsstring
Comma-separated list of project/publication IDs to search in. IDs of projects/publications you don't have access to will be ignored.
Exampleproject-deep-space-exploration,space-program-pub - langstring
Four-letter language code. If specified, only projects/publications in that language are searched.
Exampleen-us - isReturnSnippetsinteger enum
If true, returns
ftsTitleHtmlandftsSnippetHtmlin the response body. 0 = false, 1 = trueExample1- 0
- 1
Responses
GET/search
curl --location -g --request GET 'https://{portal-url}/api/v1/search?count=2&projectIds=project-deep-space-exploration,space-program-pub&lang=en-us&isReturnSnippets=1&q=nebula'
[
{
"assigneeUserName": "admin",
"createdOn": "2021-05-10T12:32:25",
"ftsSnippetHtml": "...A <strong>nebula</strong> ( Latin for 'cloud' or 'fog'...) is an interstellar cloud of dust, hydrogen, helium and other ionized gases...",
"ftsTitleHtml": "New topic created with API",
"fullUrl": "https://docs.hedron.org/articles/project-deep-space-exploration/nebula",
"html": null,
"id": "nebula",
"indexKeywords": [
"cluster",
"N",
"nebula",
"N, nebula"
],
"modifiedOn": "2022-11-07T12:59:40",
"ownerUserName": "admin",
"projectId": "project-deep-space-exploration",
"projectTitle": "Project Deep Space Exploration",
"projectUrl": "project-deep-space-exploration",
"smartLink": "https://docs.hedron.org/smart/project-deep-space-exploration/nebula",
"statusName": null,
"title": "New topic created with API",
"tocNodeId": "cd1ad87f-55a4-46e5-b496-c3434d555cd1",
"isAutoTopic": false,
"url": "nebula"
},
{
"assigneeUserName": "admin",
"createdOn": "2022-10-25T13:32:19",
"ftsSnippetHtml": "...A <strong>nebula</strong> ( Latin for 'cloud' or 'fog'...) is an interstellar cloud of dust, hydrogen, helium and other ionized gases...",
"ftsTitleHtml": "<strong>Nebula</strong>",
"fullUrl": "https://docs.hedron.org/articles/space-program-pub/nebula",
"html": null,
"id": "nebula",
"indexKeywords": [],
"modifiedOn": "2022-10-25T13:32:27",
"ownerUserName": "admin",
"projectId": "space-program-pub",
"projectTitle": "Space Program Pub",
"projectUrl": "space-program-pub",
"smartLink": "https://docs.hedron.org/smart/project-deep-space-exploration/nebula",
"statusName": null,
"title": "Nebula",
"tocNodeId": "cd1ad87f-55a4-46e5-b496-c3434d555cd1",
"isAutoTopic": false,
"url": "nebula"
}
]